%define name	liferea
%define version	1.8.12
%define release	%mkrel 2


Summary:	A News Aggregator For RSS/RDF Feeds For GTK/GNOME
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	GPLv2+
Group:		Networking/News
URL:		http://lzone.de/liferea/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	pkgconfig(gtk+-2.0)
BuildREquires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(webkit-1.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(unique-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gettext-devel

%description
Liferea (abbreviation of Linux Feed Reader) is a news aggregator for
RSS/RDF feeds which also supports CDF channels, Atom/Echo/PIE feeds
and OCS or OPML directories. It is a simple FeedReader clone for Unix.

%prep
%setup -q

# Add Planet Mageia feed
sed -i -e 's@^\(.*http://planet\.gnome\.org.*\)$@\1\n\t\t\t\t<outline text="Planet Mageia" htmlUrl="http://planet.mageia.org/" xmlUrl="http://planet.mageia.org/en/?type=atom10" />@' opml/*.opml

%build

%configure2_5x	--disable-schemas-install


%make

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK;GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# icons
%__mkdir_p %{buildroot}%{_iconsdir} %{buildroot}%{_liconsdir}
install -D -m 644 pixmaps/16x16/liferea.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 pixmaps/32x32/liferea.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 pixmaps/48x48/liferea.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

#Remove with rpm > 4.6.1
%__rm -f %{_libdir}/%{name}/*.la

%preun
%preun_uninstall_gconf_schemas %name

%files -f %{name}.lang
%attr(0644,root,root)%{_sysconfdir}/gconf/schemas/%{name}.schemas
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}
%_mandir/man1/*
%lang(pl) %_mandir/pl/man1/liferea.1*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:1.8.12-2.mga3
+ Revision: 358764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 julien <julien> 1:1.8.12-1.mga3
+ Revision: 338295
- update to new version 1.8.12
- update to version 1.8.11

* Tue Dec 25 2012 fwang <fwang> 1:1.8.11-1.mga3
+ Revision: 334846
- new version 1.8.11

* Wed Oct 31 2012 julien <julien> 1:1.8.10-1.mga3
+ Revision: 311790
- upgrade to new version 1.8.10

* Fri Oct 05 2012 julien <julien> 1:1.8.9-1.mga3
+ Revision: 302950
- new version 1.8.9

* Sat Sep 01 2012 julien <julien> 1:1.8.8-1.mga3
+ Revision: 286934
- new version 1.8.8

* Tue Aug 21 2012 julien <julien> 1:1.8.7-1.mga3
+ Revision: 282955
- new version 1.8.7

* Fri Jun 15 2012 julien <julien> 1:1.8.6-1.mga3
+ Revision: 260869
- new release 1.8.6
- drop patch0, merged upstream

* Fri Jun 08 2012 julien <julien> 1:1.8.5-2.mga3
+ Revision: 257984
- add patch0 from Sven Hartge to fix endless growing of the
  Write-Ahead Log of sqlite (could quickly grow to hundred of megabytes)

* Mon Jun 04 2012 fwang <fwang> 1:1.8.5-1.mga3
+ Revision: 253845
- new version 1.8.5

* Wed Mar 28 2012 julien <julien> 1:1.8.4-1.mga2
+ Revision: 227362
- update to version 1.8.4

* Sat Mar 24 2012 julien <julien> 1:1.8.3-1.mga2
+ Revision: 226047
- new version 1.8.3 (fix big freeze with updating feed)
- drop merged patch0

* Mon Mar 05 2012 julien <julien> 1:1.8.1-1.mga2
+ Revision: 219293
- add a requires on gettext-devel since we reconfigure and it's not pulled by intltool anymore
- update to v1.8.1
- add patch0 from opensuse to fix compilation following the removal of avahi support

* Sat Dec 10 2011 julien <julien> 1:1.8.0-1.mga2
+ Revision: 180286
- update to 1.8.0 final

* Sat Nov 26 2011 julien <julien> 1:1.8-0.RC2.1.mga2
+ Revision: 172280
- update to version 1.8 RC2
- drop patch0
- clean list of BR
- clean up spec a bit

  + mikala <mikala>
    - Use pkgconfig() for buildrequires
    - Remove libgnutls-devel as BR (it's not used at all the ssl functionnality is provided by glib-networking)
    - Rebuild for gnutls 3.0

* Mon Jul 18 2011 fwang <fwang> 1:1.6.6b-1.mga2
+ Revision: 125910
- new version 1.6.6b

* Tue Jun 21 2011 dmorgan <dmorgan> 1:1.6.5-3.mga2
+ Revision: 111134
- Rebuild against new webkit

* Sun Jun 19 2011 ahmad <ahmad> 1:1.6.5-2.mga2
+ Revision: 109581
- Add a patch to fix the build with libnotify-0.7
- Fix the planet.mageia.org feed url (mga#1625)

* Sun Feb 27 2011 dmorgan <dmorgan> 1:1.6.5-1.mga1
+ Revision: 61168
- Fix file list
- Remove mdv macros
  Add mageia planet
- imported package liferea

